CREATE TABLE gtg_inc_simulation (
    ID                            NUMBER(19, 0) ,
    SIM_MODEL_ID                  NUMBER(19, 0) ,
    CONTROL_ID                    NUMBER(19, 0) ,
    ERP_USER_ID                   NUMBER(19, 0) ,
    ERP_USER_NAME                 VARCHAR2(1024),
    FIRST_NAME                    VARCHAR2(1024),
    LAST_NAME                     VARCHAR2(1024),
    ROLE                          VARCHAR2(4000),
    ACCESS_POINT_NAME             VARCHAR2(1024),
    ACCESS_PATH_ID                VARCHAR2(1024),
    ACCESS_PATH_IDS               VARCHAR2(4000),
    ACCESS_PATH_INFO              VARCHAR2(4000),
    ACCESS_PATH_GROUPING          VARCHAR2(4000),
    CONFLICTING_ACC_POINT_ID      VARCHAR2(1024),
    CONFLICTING_ACC_POINT_NAME    VARCHAR2(1024),
    CONFLICTING_ACC_POINT_TYPE    VARCHAR2(1024),
    INCIDENT_ID                   VARCHAR2(1024),
    TYPE                          NUMBER(19, 0) ,
    DATASOURCE_IDS                NUMBER(19, 0) ,
    DATASOURCE_NAMES              VARCHAR2(1024),
    STATE_CODE                    VARCHAR2(120) ,
    ROLE_GROUPING                 VARCHAR2(4000),
    ORIG_KEYPATH                  VARCHAR2(4000),
    VERSION_ID                    NUMBER(19, 0)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_SIMULATION_DATE          DATE          ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ID                            NUMBER(19, 0) ,
    SIM_MODEL_ID                  NUMBER(19, 0) ,
    CONTROL_ID                    NUMBER(19, 0) ,
    ERP_USER_ID                   NUMBER(19, 0) ,
    ERP_USER_NAME                 VARCHAR2(1024),
    FIRST_NAME                    VARCHAR2(1024),
    LAST_NAME                     VARCHAR2(1024),
    ROLE                          VARCHAR2(4000),
    ACCESS_POINT_NAME             VARCHAR2(1024),
    ACCESS_PATH_ID                VARCHAR2(1024),
    ACCESS_PATH_IDS               VARCHAR2(4000),
    ACCESS_PATH_INFO              VARCHAR2(4000),
    ACCESS_PATH_GROUPING          VARCHAR2(4000),
    CONFLICTING_ACC_POINT_ID      VARCHAR2(1024),
    CONFLICTING_ACC_POINT_NAME    VARCHAR2(1024),
    CONFLICTING_ACC_POINT_TYPE    VARCHAR2(1024),
    INCIDENT_ID                   VARCHAR2(1024),
    TYPE                          NUMBER(19, 0) ,
    DATASOURCE_IDS                NUMBER(19, 0) ,
    DATASOURCE_NAMES              VARCHAR2(1024),
    STATE_CODE                    VARCHAR2(120) ,
    ROLE_GROUPING                 VARCHAR2(4000),
    ORIG_KEYPATH                  VARCHAR2(4000),
    VERSION_ID                    NUMBER(19, 0)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_SIMULATION_DATE          DATE          ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONSTRAINT pk_gtg_inc_simulation PRIMARY KEY (ID, SIM_MODEL_ID, CONTROL_ID, ID, SIM_MODEL_ID, CONTROL_ID)
);
